## sen 0.2.2

=== requirements.txt ===
urwid
humanize
docker-py
urwidtrees

=== debian/changelog ===
sen (0.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7.
  * Add Vcs-* fields.
  * Set locate to C.UTF-8 to prevent test fails.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 15 Feb 2016 19:29:25 +0800

sen (0.2.2-1) unstable; urgency=low

  * Initial release. Closes: #809994

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 13 Feb 2016 17:51:55 +0800

=== debian/control ===
Source: sen
Section: admin
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python3-all,
               python3-docker,
               python3-flexmock,
               python3-humanize,
               python3-pytest,
               python3-pytest-catchlog,
               python3-setuptools,
               python3-urwid,
Standards-Version: 3.9.7
Homepage: https://github.com/TomasTomecek/sen
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sen.git -b debian/sid
X-Python3-Version: >= 3.2

Package: sen
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-urwidtrees
Description: Terminal user interface for docker engine
 sen is a terminal user interface for docker engine:
 .
  * it can interactively manage your containers and images:
    * manage? start, stop, restart, kill, delete,...
  * you are able to inspect containers and images
  * sen can fetch logs of containers and even stream logs real-time
  * all buffers support searching and filtering
  * sen receives real-time updates from docker when anything changes
    * e.g. if you create a container in another terminal, sen will pick
      it up
  * sen notifies you whenever something happens (and reports slow queries)
  * supports a lot of vim-like keybindings (j, k, gg, /, ...)
  * there is a special buffer which display detailed info about images
  * you can get interactive tree view of all images (equivalent of
    docker images --tree)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf $(CURDIR)/sen.egg-info/ $(CURDIR)/.cache
	dh_clean

=== debian/watch ===
version=3
https://github.com/TomasTomecek/sen/releases .*/([\d\.]*)\.tar.gz

## sen 0.3.0

=== debian/changelog ===
sen (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change maintainer to Python Applications Packaging Team.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 May 2016 23:59:02 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sen
 Section: admin
 Priority: optional
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9),
                dh-python,
                python3-all,
@@ -12,14 +13,16 @@
                python3-pytest-catchlog,
                python3-setuptools,
                python3-urwid,
-Standards-Version: 3.9.7
+               python3-urwidtrees,
+               ruby-ronn,
+Standards-Version: 3.9.8
 Homepage: https://github.com/TomasTomecek/sen
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sen.git -b debian/sid
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sen.git
 X-Python3-Version: >= 3.2
 
 Package: sen
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
DATE := $(shell date --date="$$(dpkg-parsechangelog --show-field Date)" +%F)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	cat debian/sen.manpages | sed 's/\.1/.1.ronn/' | xargs ronn --date=$(DATE) --roff
	dh_auto_configure

override_dh_clean:
	rm -rf $(CURDIR)/sen.egg-info/ $(CURDIR)/.cache
	dh_clean

## sen 0.4.0

=== debian/changelog ===
sen (0.4.0-2) unstable; urgency=medium

  * Use asciidoc instead of ronn to generate manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 08 Aug 2016 12:19:12 +0800

sen (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 04 Jul 2016 21:55:36 +0800

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9),
+               asciidoc,
                dh-python,
                python3-all,
                python3-docker,
@@ -14,7 +15,7 @@
                python3-setuptools,
                python3-urwid,
                python3-urwidtrees,
-               ruby-ronn,
+               xmlto,
 Standards-Version: 3.9.8
 Homepage: https://github.com/TomasTomecek/sen
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git

## sen 0.5.0

=== requirements.txt ===
urwid
docker-py
# this is 1.0.2, pazz doesn't maintain urwidtrees on PyPI
-e git://github.com/pazz/urwidtrees.git@b8159036521100c60ecaefdfe0bed4c50dc3ef23#egg=urwidtrees

=== debian/changelog ===
sen (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 16 Jan 2017 23:39:47 +0800

sen (0.4.0-3) unstable; urgency=medium

  * Use asciidoc-base instead of asciidoc to reduce Build-Depends.
    Thanks to Joseph Herlant (Closes: #850366)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Jan 2017 15:16:48 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9),
-               asciidoc,
+               asciidoc-base,
                dh-python,
                python3-all,
                python3-docker,

## sen 0.5.1

=== requirements.txt ===
urwid
docker
# this is 1.0.2, pazz doesn't maintain urwidtrees on PyPI
-e git://github.com/pazz/urwidtrees.git@b8159036521100c60ecaefdfe0bed4c50dc3ef23#egg=urwidtrees

=== debian/changelog ===
sen (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.
    * Use https in d/copyright Format field.
  * Bump compat to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 18 Nov 2017 11:11:21 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 10),
                asciidoc-base,
                dh-python,
                python3-all,
@@ -16,7 +16,7 @@
                python3-urwid,
                python3-urwidtrees,
                xmlto,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/TomasTomecek/sen
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sen.git

## sen 0.6.0

=== requirements.txt ===
urwid
docker
# this is latest upstream commit (April 2017)
# upstream maintainer of urwidtrees doesn't maintain PyPI urwidtrees
-e git+https://github.com/pazz/urwidtrees.git@9142c59d3e41421ff6230708d08b6a134e0a8eed#egg=urwidtrees

=== debian/changelog ===
sen (0.6.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:04:07 +0800

sen (0.6.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #881375)
  * Drop catchlog dependency, now merged into pytest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Apr 2018 12:28:44 +0200

## sen 0.6.1

=== debian/changelog ===
sen (0.6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release, bringing python3 fixes

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2019 11:32:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
                python3-docker,
                python3-flexmock,
                python3-humanize,
-               python3-pytest,
-               python3-pytest-catchlog,
+               python3-pytest (>= 3.3.0),
                python3-setuptools,
                python3-urwid,
                python3-urwidtrees,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sen/sen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sen 0.6.2

=== debian/changelog ===
sen (0.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:15:25 +0100

sen (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Bump compat to 13.
  * Update Maintainer to Debian Python Team.
  * Update Vcs-* to salsa.debian.org
  * Set Rules-Requires-Root: no
  * Add upstream metadata.
  * Update d/watch to version 4.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 07 Feb 2022 22:46:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: sen
 Section: admin
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-python,
                python3-all,
                python3-docker,
                python3-flexmock,
                python3-humanize,
-               python3-pytest (>= 3.3.0),
+               python3-pytest,
                python3-setuptools,
                python3-urwid,
                python3-urwidtrees,
                xmlto,
-Standards-Version: 4.1.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/TomasTomecek/sen
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sen.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sen.git
-X-Python3-Version: >= 3.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sen
+Vcs-Git: https://salsa.debian.org/python-team/packages/sen.git
 
 Package: sen
 Architecture: all

## sen 0.7.0

=== debian/changelog ===
sen (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 28 Jun 2023 02:40:20 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                python3-docker,
                python3-flexmock,
                python3-humanize,
-               python3-pytest,
+               python3-pytest (>= 3.3.0),
                python3-setuptools,
                python3-urwid,
                python3-urwidtrees,
                xmlto,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/TomasTomecek/sen
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sen

## sen 0.8.0

=== requirements.txt ===
urwid==2.1.2
docker==6.1.3
requests==2.32.2
# this is latest upstream commit (April 2017)
# upstream maintainer of urwidtrees doesn't maintain PyPI urwidtrees
-e git+https://github.com/pazz/urwidtrees.git@9142c59d3e41421ff6230708d08b6a134e0a8eed#egg=urwidtrees

=== debian/changelog ===
sen (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:43:41 +0000

sen (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream patches for python-docker 7.x compatibility
    (closes: #1067287).
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Aug 2024 00:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-docker,
                python3-flexmock,
@@ -20,6 +21,7 @@
 Homepage: https://github.com/TomasTomecek/sen
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sen
 Vcs-Git: https://salsa.debian.org/python-team/packages/sen.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: sen
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
	dh_auto_configure

override_dh_clean:
	rm -rf $(CURDIR)/sen.egg-info/ $(CURDIR)/.cache
	dh_clean

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sen/sen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sen 0.8.1

=== requirements.txt ===
urwid==2.6.14
docker==7.1.0
requests==2.32.4
# this is latest upstream commit (April 2017)
# upstream maintainer of urwidtrees doesn't maintain PyPI urwidtrees
-e git+https://github.com/pazz/urwidtrees.git@9142c59d3e41421ff6230708d08b6a134e0a8eed#egg=urwidtrees

=== debian/changelog ===
sen (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Simplify some debhelper overrides.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 17:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-docker,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
